osl::eval::ml::KingXBlocked Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Private Attributes | Friends | List of all members
osl::eval::ml::KingXBlocked Class Reference

`#include <king8.h>`

Inheritance diagram for osl::eval::ml::KingXBlocked:
[legend]
Collaboration diagram for osl::eval::ml::KingXBlocked:
[legend]

## Static Public Member Functions
static void | setUp (const Weights &weights, int stage)
static MultiIntPair | eval (const osl::state::NumEffectState &state)
Static Public Member Functions inherited from osl::eval::ml::KingXBlockedBase
static const MultiIntPair | eval (const NumEffectState &state, const table_t &table)
template<osl::Player P>
static int | index (Square king, int diff)
template<osl::Player P>
static bool | isBlocked (const NumEffectState &state, int diff)

## Static Private Attributes
static table_t | table

## Friends
class | KingXBlockedBoth
class | KingXBlockedYBase

## Additional Inherited Members
Public Types inherited from osl::eval::ml::KingXBlockedBase
enum | { DIM = 10 }
typedef CArray< MultiInt, 10 > | table_t
Public Member Functions inherited from osl::eval::ml::KingXBlockedBase
template<osl::Player P>
int | index (Square king, int diff)
template<osl::Player P>
bool | isBlocked (const NumEffectState &state, int diff)

## Detailed Description

Definition at line 203 of file eval/ml/king8.h.

## Member Function Documentation

static MultiIntPair osl::eval::ml::KingXBlocked::eval | ( | const osl::state::NumEffectState & | state) |  |
| inlinestatic

Definition at line 209 of file eval/ml/king8.h.

References osl::eval::ml::KingXBlockedBase::eval(), and table.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

void osl::eval::ml::KingXBlocked::setUp | ( | const Weights & | weights,
|  | int | stage
| ) |  |
| static

Definition at line 907 of file eval/ml/king8.cc.

References osl::eval::ml::Weights::value().

## Friends And Related Function Documentation

friend class KingXBlockedBoth
| friend

Definition at line 205 of file eval/ml/king8.h.

friend class KingXBlockedYBase
| friend

Definition at line 206 of file eval/ml/king8.h.

## Member Data Documentation

osl::misc::CArray< MultiInt, 10 > osl::eval::ml::KingXBlocked::table
| staticprivate

Definition at line 214 of file eval/ml/king8.h.

Referenced by osl::eval::ml::KingXBlockedYBase::adjust(), and eval().

The documentation for this class was generated from the following files:

- eval/ml/king8.h
- eval/ml/king8.cc